( function( $ ) {
var target = '.twitch-rail-'+twitch_rail_vars.id+' #stream-container ul';
var language = '';
if (twitch_rail_vars.language !== '') {
    language = '&language='+twitch_rail_vars.language;
}
if (twitch_rail_vars.twitchGames != '') {
    getGameStreams(twitch_rail_vars.twitchGames);
} else if (twitch_rail_vars.twitchNames != '') {
    getChannels(twitch_rail_vars.twitchIDs);
} else if (twitch_rail_vars.twitchTeam != '') {
    getTeam()
}

//---- ******* END Click Options ******* ----//

//---- ******* Teams ******* ----//

function getTeam() {
    $.ajax({
        url: 'https://api.twitch.tv/kraken/teams/'+twitch_rail_vars.twitchTeam,
        type: 'GET',
        headers: {
           'Client-ID': 'c9y13nevu8fzazuq2ty6zdqz9f7xlem',
           'Accept': 'application/vnd.twitchtv.v5+json'
        },
        success: function(data) {
            console.log(data)
            display_names = '';
            users_ids = '';
            for (var i in data.users) {
                display_names += data.users[i].name+',';
                users_ids += data.users[i]._id+',';
            }            
            getChannels(users_ids);
            console.log('[Easy Embed Twitch] - Success - retrieved Team')
        },
        error: function(data) {
            console.log('[Easy Embed Twitch] - Failed to retrieve Team')        
        }
    });
}

//---- ******* END Teams ******* ----//

//---- ******* Channels ******* ----//

function getChannels(channels){
    console.log(channels);
    $.ajax({
        url: 'https://api.twitch.tv/kraken/streams/?channel='+channels,
        type: 'GET',
        headers: {
        'Client-ID': 'c9y13nevu8fzazuq2ty6zdqz9f7xlem',
        'Accept': 'application/vnd.twitchtv.v5+json'
        },
        success: function(data) {
            console.log('[Easy Embed Twitch] - Success - retrieved Channels')    
            appendStreams(data.streams)
        },
        error: function(data) {
            console.log('[Easy Embed Twitch] - Failed to retrieve Channels')
        }
    });
}

//---- ******* END Channels ******* ----//

//---- ******* Game ******* ----//

function getGameStreams(game) {
    url = 'https://api.twitch.tv/kraken/streams/?game='+game+language;
    $.ajax({
        url: url,
        type: 'GET',
        headers: {
           'Client-ID': 'c9y13nevu8fzazuq2ty6zdqz9f7xlem',
           'Accept': 'application/vnd.twitchtv.v5+json'
        },
        success: function(data) {
            console.log('[Easy Embed Twitch] - Success - Retreieved Game Streams')
            appendStreams(data.streams);
        },
        error: function(data) {
            console.log('[Easy Embed Twitch] - Failed to retreieve Game Streams')
        }
    });
}

//---- ******* End Game ******* ----//


//---- ******* Append Streams ******* ----//

function appendStreams(fullArray,offlineArray) {
    var streamsAdded = [];
    var fullArrayLength = fullArray.length;
    if (fullArrayLength > 20) {
        fullArrayLength = 20;
    }
    for (var i=0;i<fullArrayLength;i++) {
        console.log(fullArray[i])
        var display_name = fullArray[i].channel.display_name;
        var channel_name = fullArray[i].channel.name;
        var preview = fullArray[i].preview.large;
        var game = fullArray[i].game;
        var login = fullArray[i].channel.name;
        var url = 'https://www.twitch.tv/'+login;
        var viewers = fullArray[i].viewers;
        var html = '<li class="stream"><a target="_blank" href="'+url+'" title="Watch '+display_name+' Now!" data-id="'+login+'">';
        html += '<div class="twitch-image"><img data-lazy="'+preview+'" src=""></div>';
        html += '<div class="twitch-info"><div class="twitch-title">'+display_name+'</div>';
        html += '<div class="twitch-meta">Streaming <span class="twitch-viewers">'+game+'</span> for <span class="twitch-viewers">'+viewers+ ' viewers</span></span>';
        html += '</div></div></a>';
        html += '<span class="online-indicator online-indicator--online"></span>';
        html += '</li>';
      $(html).appendTo(target)
      $("#twitch-module.twitch-rail .offline-slide").remove();
      $("#twitch-module.twitch-rail .loader-wrapper").hide();
  }
  
    if (fullArray.length > 0) {
      var slidesToShow = 3;
      if ($('#twitch-module.twitch-rail').width() < 768)
        slidesToShow = 2;
      if ($('#twitch-module.twitch-rail').width() < 560)
        slidesToShow = 1;
      $(target).slick({
          dots: false,
          slidesToShow: slidesToShow,
          slidesToScroll: 1,
          swipeToSlide: true,
          prevArrow: '<button type="button" class="slick-prev"><img src="'+twitch_rail_vars.leftArrow+'"></button>',
          nextArrow: '<button type="button" class="slick-next"><img src="'+twitch_rail_vars.rightArrow+'"></button>',
          responsive: [
            {
              breakpoint: 768,
              settings: {
                slidesToShow: 2
              }
            },
            {
              breakpoint: 560,
              settings: {
                slidesToShow: 1
              }
            }
          ]
      })
    } else {
      $("#twitch-module.twitch-rail .offline-slide").addClass('show')
      $("#twitch-module.twitch-rail .loader-wrapper").hide();
    } 
}
    
//---- ******* END Append Streams ******* ----//
} )( jQuery );