( function( $ ) {

var id = twitch_wall_vars.id;
var target = '.twitch-wall-'+id+' #stream-container ul';
var language = '';
var limit = 9;
var theme = twitch_wall_vars.theme;
if (twitch_wall_vars.language !== '') {
language = '&language='+twitch_wall_vars.language;
}
if (twitch_wall_vars.limit !== '') {
limit = twitch_wall_vars.limit;
}
if (twitch_wall_vars.twitchGames != '') {
    getGameStreams(twitch_wall_vars.twitchGames);
} else if (twitch_wall_vars.twitchNames != '') {
    getChannels(twitch_wall_vars.twitchIDs);
} else if (twitch_wall_vars.twitchTeam != '') {
    getTeam()
}

//---- ******* END Click Options ******* ----//

//---- ******* Teams ******* ----//

function getTeam() {
    $.ajax({
        url: 'https://api.twitch.tv/kraken/teams/'+twitch_wall_vars.twitchTeam,
        type: 'GET',
        headers: {
           'Client-ID': 'c9y13nevu8fzazuq2ty6zdqz9f7xlem',
           'Accept': 'application/vnd.twitchtv.v5+json'
        },
        success: function(data) {
            console.log(data)
            display_names = '';
            users_ids = '';
            for (var i in data.users) {
                display_names += data.users[i].name+',';
                users_ids += data.users[i]._id+',';
            }            
            getChannels(users_ids);
            console.log('[Easy Embed Twitch] - Success - retrieved Team')
        },
        error: function(data) {
            console.log('[Easy Embed Twitch] - Failed to retrieve Team')        
        }
    });
}

//---- ******* END Teams ******* ----//

//---- ******* Channels ******* ----//

function getChannels(channels){
    console.log(channels);
    $.ajax({
        url: 'https://api.twitch.tv/kraken/streams/?channel='+channels,
        type: 'GET',
        headers: {
        'Client-ID': 'c9y13nevu8fzazuq2ty6zdqz9f7xlem',
        'Accept': 'application/vnd.twitchtv.v5+json'
        },
        success: function(data) {
            console.log('[Easy Embed Twitch] - Success - retrieved Channels')    
            appendStreams(data.streams)
        },
        error: function(data) {
            console.log('[Easy Embed Twitch] - Failed to retrieve Channels')
        }
    });
}

//---- ******* END Channels ******* ----//

//---- ******* Game ******* ----//

function getGameStreams(game) {
    url = 'https://api.twitch.tv/kraken/streams/?game='+game+language;
    $.ajax({
        url: url,
        type: 'GET',
        headers: {
           'Client-ID': 'c9y13nevu8fzazuq2ty6zdqz9f7xlem',
           'Accept': 'application/vnd.twitchtv.v5+json'
        },
        success: function(data) {
            console.log('[Easy Embed Twitch] - Success - Retreieved Game Streams')
            appendStreams(data.streams);
        },
        error: function(data) {
            console.log('[Easy Embed Twitch] - Failed to retreieve Game Streams')
        }
    });
}

//---- ******* End Game ******* ----//

//---- ******* Append Streams ******* ----//

function appendStreams(fullArray) {
    var streamsAdded = [];
    var fullArrayLength = fullArray.length;
    if (fullArrayLength > 20) {
        fullArrayLength = 20;
    }
    if (fullArray.length < limit) {
        limit = fullArray.length;
    }
    for (var i=0;i<limit;i++) {
      console.log(fullArray[i])
      var display_name = fullArray[i].channel.display_name;
      var channel_name = fullArray[i].channel.name;
      var preview = fullArray[i].preview.large;
      var game = fullArray[i].game;
      var login = fullArray[i].channel.name;
      var url = 'https://www.twitch.tv/'+login;
      var viewers = fullArray[i].viewers;
        var html = '<li class="stream"><a target="_blank" href="'+url+'" title="Watch '+display_name+' Now!" data-channel-name='+login+'>';
        html +=  '<div class="twitch-image"><div class="twitch-image-overlay"><img src="'+twitch_wall_vars.play+'"></div><img src="'+preview+'"></div>';
        html += '<div class="twitch-info"><div class="twitch-title">'+display_name+'</div><div class="twitch-meta">Streaming '+game+' for <span class="twitch-viewers">'+viewers+ ' viewers</span></div>';
        html += '</div></a>';
        html += '<span class="online-indicator online-indicator--online"></span>';
        html += '</li>';
      $(html).appendTo(target)
      $('#twitch-module.twitch-wall').removeClass('loading');
  }
  if (fullArray.length == 0) {
      $("#twitch-module.twitch-wall .offline-slide").show()
      $("#twitch-module.twitch-wall .loader-wrapper").hide()
  }
}
    
//---- ******* END Append Streams ******* ----//

	var embedStream = function(name){
      if (theme == 'dark-theme') {
        theme = 'dark';
      } else {
        theme = 'light';
      }    
	  $('.twitch-wall #twitch-embed').empty()
      $('.twitch-wall #twitch-embed').addClass('active')
	  new Twitch.Embed("twitch-embed", {
	    width: '100%',
	    height: '100%',
	    channel: name,
        theme: theme
	  });
	}

	$(document).on('click', '.twitch-wall #stream-container ul li a', function(e){
	  console.log($(this).data('channel-name'))
	  e.preventDefault()
	  name = $(this).data('channel-name')
	  embedStream(name)
      var offset = $('.twitch-wall #twitch-embed').offset().top;
        $('html, body').animate({
            scrollTop: offset - 100 },
        1000
        );
	})

} )( jQuery );